AnnotationTypeElementDoc (Doclet API )
Keywords: com.sun.javadoc.AnnotationTypeElementDoc interface
Date: 2018-07-01

com.sun.javadoc

## Interface AnnotationTypeElementDoc

- All Superinterfaces:
    Comparable<Object>, Doc, ExecutableMemberDoc, MemberDoc, MethodDoc, ProgramElementDoc

      public interface AnnotationTypeElementDoc
      extends MethodDoc

  Represents an element of an annotation type.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationValue` | `defaultValue()` Returns the default value of this element.

    - ### Methods inherited from interface com.sun.javadoc.MethodDoc

      `isAbstract, isDefault, overriddenClass, overriddenMethod, overriddenType, overrides, returnType`

    - ### Methods inherited from interface com.sun.javadoc.ExecutableMemberDoc

      `flatSignature, isNative, isSynchronized, isVarArgs, parameters, paramTags, receiverType, signature, thrownExceptions, thrownExceptionTypes, throwsTags, typeParameters, typeParamTags`

    - ### Methods inherited from interface com.sun.javadoc.MemberDoc

      `isSynthetic`

    - ### Methods inherited from interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

    - ### Methods inherited from interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

- - ### Method Detail

    - #### defaultValue

          AnnotationValue defaultValue()

      Returns the default value of this element. Returns null if this element has no default.
      Returns:
        the default value of this element.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2018, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.